/**
 * Admin Block JavaScript.
 *
 * @package    Wpadcenter
 * @subpackage Wpadcenter/admin
 * @author     WPEka Club <support@wpeka.com>
 */

(function( $ ) {
	const {registerBlockType}              = wp.blocks; // Blocks API.
	const {createElement}                  = wp.element; // React.createElement.
	const {__}                             = wp.i18n; // Translation functions.
	const {InspectorControls}              = wp.editor; // Block inspector wrapper.
	const {SelectControl,ServerSideRender} = wp.components; // Block inspector wrapper.

	registerBlockType(
		'wpadcenter/block',
		{
			title: __( 'WPAdCenter' ),
			category:  __( 'common' ),
			keywords: [
			__( 'wpadcenter' ),
			__( 'adcenter' ),
			__( 'ad' ),
			__( 'adzone' ),
			],
			attributes:  {
				id : {
					default: '0',
						}
						},
						edit( props ){
							const attributes    = props.attributes;
							const setAttributes = props.setAttributes;

							function changeID(id){
								setAttributes( {id} );
							}
							return createElement(
								'div',
								{},
								[
								// Preview will go here.
								createElement(
									ServerSideRender,
									{
										block: 'wpadcenter/block',
										attributes: {
											id: attributes.id,
										},
										key:'wpadcenter'
									}
								),
								// Block inspector.
								createElement(
									InspectorControls,
									{
										key:'sidebar'
									},
									[
									createElement(
										SelectControl,
										{
											value: attributes.id,
											onChange: changeID,
											type: 'string',
											options: ad_zones,
											key:'adzone',
										}
									),
									]
								)
								]
							)
			},
			save(){
				return null; // Save has to exist. This all we need.
			}
		}
	);
})( jQuery );
