<?php
/**
 * Provide a admin area view for the scripts tab.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://club.wpeka.com
 * @since      1.0.1
 *
 * @package    Wpadcenter
 * @subpackage Wpadcenter/admin/views
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
<div class="wpadcenter-tab-content" data-id="<?php echo esc_attr( $target_id ); ?>">
	<table class="form-table">
		<?php do_action( 'wpadcenter_before_ads_txt_settings' ); ?>
		<tr valign="top">
			<th scope="row"><label for="enable_ads_txt_field"><?php esc_attr_e( 'ads.txt', 'wpadcenter' ); ?></label></th>
			<td>
				<input type="hidden" name="ads_txt_tab" value="0" />
				<input type="hidden" name="ads_txt_security" value="<?php echo esc_attr( wp_create_nonce( 'check_ads_txt_problems' ) ); ?>">
				<input type="hidden" name="ads_txt_replace_security" value="<?php echo esc_attr( wp_create_nonce( 'check_ads_txt_replace' ) ); ?>">
				<input type="hidden" name="ads_txt_ajaxurl" value="<?php echo esc_url( admin_url( 'admin-ajax.php' ) ); ?>">
				<input type="radio" id="enable_ads_txt_field_yes" name="enable_ads_txt_field" wpadcenter_frm_tgl-target="enable_ads_txt_field" class="wpadcenter_form_toggle" value="true" <?php echo ( true === $the_options['enable_ads_txt'] ) ? ' checked="checked"' : ''; ?> /><?php esc_attr_e( 'Enable', 'wpadcenter' ); ?>
				<input type="radio" id="enable_ads_txt_field_no" name="enable_ads_txt_field" wpadcenter_frm_tgl-target="enable_ads_txt_field" class="wpadcenter_form_toggle" value="false" <?php echo ( false === $the_options['enable_ads_txt'] ) ? ' checked="checked" ' : ''; ?> /><?php esc_attr_e( 'Disable', 'wpadcenter' ); ?>
			</td>
		</tr>
		<tr valign="top" wpadcenter_frm_tgl-id="enable_ads_txt_field" wpadcenter_frm_tgl-val="true">
			<th scope="row"><label for="ads_txt_content_field"><?php esc_attr_e( 'Content', 'wpadcenter' ); ?></label></th>
			<td>
				<textarea id="ads_txt_content_field" name="ads_txt_content_field" class="vvv_textbox"><?php echo esc_textarea( $the_options['ads_txt_content'] ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></textarea>
				<span class="wpadcenter_form_help"><?php esc_attr_e( 'Additional records to add to the file, one record per line.', 'wpadcenter' ); ?>
			</td>
		</tr>
		<tr valign="top" wpadcenter_frm_tgl-id="enable_ads_txt_field" wpadcenter_frm_tgl-val="true">
			<th scope="row"></th>
			<td><span class="ads_txt_spinner spinner" style="display:none;float:left"></span><span class="ads_txt_problems"></span></td>
		</tr>
		<tr valign="top" wpadcenter_frm_tgl-id="enable_ads_txt_field" wpadcenter_frm_tgl-val="true">
			<th scope="row"></th>
			<td><input type="button" class="button" name="check_ads_txt_problems" value="Check for Problems" /></td>
		</tr>
		<?php do_action( 'wpadcenter_after_ads_txt_settings' ); ?>
	</table>
	<?php
	require 'admin-display-save-button.php';
	?>
</div>
