<?php
/**
 * Provide a admin area view for the go pro page.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://club.wpeka.com
 * @since      1.0.3
 *
 * @package    Wpadcenter
 * @subpackage Wpadcenter/admin/views
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
?>
<div style="clear:both;"></div>
<div class="wrap">
	<h2></h2>
	<div class="wpadcenter-go-pro">
		<div class="wpadcenter-features">
			<table class="wpadcenter-features-table">
				<thead class="wpadcenter-features-heading">
					<tr>
						<th class="header-wpadcenter-features"><?php esc_html_e( 'Features', 'wpadcenter' ); ?></th>
						<th class="header-wpadcenter-features"><?php esc_html_e( 'Free', 'wpadcenter' ); ?></th>
						<th class="header-wpadcenter-features"><?php esc_html_e( 'Pro', 'wpadcenter' ); ?></th>
					</tr>
				</thead>
				<tbody class="wpadcenter-features-body">
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Display Google Ad Sense & Other Ad Network Ads', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Create unlimited Ad Zones (areas) to display ads anywhere on your website.', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Display Self Hosted Banner Ads', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Create unlimited Ad Zones (areas) to display ads anywhere on your website.', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Unlimited Ad Zones', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Create unlimited Ad Zones (areas) to display ads anywhere on your website.', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Unlimited Ad Campaigns with Scheduling', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Create unlimited Ad Campaigns with scheduling (start & end date)', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Auto-rotate Ad Zone Ad Banners', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Easy to set up ad banner rotation using attractive slider effects', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Sell Ad Package Products (WooCommerce integration)', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Sell Ads on Site as CPM, CPC, or Schedule Based. 3rd Party Advertiser Management & Payment System.', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-no"><span class='dashicons-before dashicons-no'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Frontend Form for Advertisers to Create Campaigns', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Set up a frontend form from where advertisers can create & schedule their own campaigns', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-no"><span class='dashicons-before dashicons-no'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Accept Payments', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Payment integration with almost all payment options including Paypal, Stripe, Authorize.net, etc via WooCommerce', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-no"><span class='dashicons-before dashicons-no'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Advanced Campaign Performance Reports', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Detailed Statistics & reports to view the performance of Adzones/Ads. Filtering by Data / Campaigns, Ad zones.', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Export Report Data for detailed analysis.', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-no"><span class='dashicons-before dashicons-no'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
					<tr>
						<td class="adc-feature">
							<div class="adc-feature-title"><?php esc_html_e( 'Geo-targeted Ads', 'wpadcenter' ); ?></div>
							<div class="adc-feature-description"><?php esc_html_e( 'Display ads based on the visitor’s geographical location.', 'wpadcenter' ); ?></div>
						</td>
						<td class="adc-feature-status adc-feature-no"><span class='dashicons-before dashicons-no'></span></td>
						<td class="adc-feature-status adc-feature-yes"><span class='dashicons-before dashicons-yes'></span></td>
					</tr>
				</tbody>
			</table>
		</div>
		<div class="wpadcenter-action">
			<div class="wpadcenter-action-link">
				<a class="wpadcenter-action-go-pro button button-primary" target="_blank" href="https://club.wpeka.com/product/wpadcenter/?utm_source=wpadcenter&utm_medium=go-pro&utm_campaign=button&utm_content=upgrade-to-pro"><?php esc_html_e( 'Upgrade to Pro', 'wpadcenter' ); ?></a>
			</div>
			<div class="wpadcenter-action-coupon">
				<span><?php esc_html_e( 'Use coupon ', 'wpadcenter' ); ?><strong><?php esc_html_e( 'HAPPY15', 'wpadcenter' ); ?></strong><?php esc_html_e( ' to get 15% off on your purchase.', 'wpadcenter' ); ?></span>
			</div>
		</div>
	</div>
</div>
