/**
 * Frontend JavaScript.
 *
 * @package    Wpadcenter_Pro
 * @subpackage Wpadcenter_Pro/public
 * @author     WPEka Club <support@wpeka.com>
 */

(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	$( document ).ready(
		function() {
			$( document ).on(
				'click',
				'.wpadcenter-slide a.link',
				function(event){
					event.preventDefault();
					var newWindow;
					var data   = {};
					var target = $( this ).attr( 'target' );
					var parent = $( this ).parent( '.wpadcenter-slide' );
					parent.find( 'input[type="hidden"]' ).each(
						function() {
							data[this.name] = this.value;
						}
					);
					if (target == '_blank') {
						newWindow = window.open( '' , '_blank' );
					}
					var request = {
						action: "set_clicks",
						data: data,
						security: ajax_url.security,
						url:$( this ).attr( 'href' ),
					};
					$.post( ajax_url.url, request ).always(
						function(response){
							response = JSON.parse( response );
							if (response.success) {
								if (newWindow) {
									newWindow.location.href = request.url;
								} else {
									window.location.href = request.url;
								}
							}
						}
					);
				}
			);
		}
	);
})( jQuery );
